package com.cooleshow.teacher.contract;

import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.teacher.bean.TeacherUserInfo;
import com.cooleshow.teacher.bean.VideoCourseListBean;

/**
 * 创建日期：2022/6/7 9:41
 *
 * @author Ryan
 * 类说明：
 */
public interface VideoCoursePageContract {

    interface VideoCoursePageView extends BaseView {
        void queryVideoCourseGroupSuccess(int page, VideoCourseListBean data);

        void queryVideoCourseGroupError(int page);

        void getTeacherInfoSuccess(TeacherUserInfo data);

    }

    interface Presenter {
    }
}
